Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class Registry

    java.lang.Object
      |
      +--com.ibm.ulc.comm.Registry

public class Registry
extends java.lang.Object
implements java.io.Serializable

An object registry used to manage an object space. A registry can have a parent registry. Looking for an object propagates along the parent chain.

See Also:
  Serialized Form

Constructor Summary
`Registry(Registry parent)` Creates a registry with the given parent.

Method Summary
`void` | `dispose()` Dispose the registry and tell all the registered objects to free themselves.
`ICallable` | `find(int oid)` Finds an object with the given object id.
`java.util.Hashtable` | `getRegistry()` Returns the registry.
`int` | `register(ICallable c)` Assigns an object id and registers the object.
`void` | `register(int oid, ICallable c)` Registers an object with a given id.
`void` | `shutdown()`
`void` | `unregister(int oid)` Unregisters an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registry

    public Registry(Registry parent)

  Creates a registry with the given parent. Parent may be null.

Method Detail

### dispose

    public void dispose()

  Dispose the registry and tell all the registered objects to free themselves.

### find

    public ICallable find(int oid)

  Finds an object with the given object id.

### getRegistry

    public java.util.Hashtable getRegistry()

  Returns the registry.

### register

    public void register(int oid,
                         ICallable c)

  Registers an object with a given id.

### register

    public int register(ICallable c)

  Assigns an object id and registers the object.

### shutdown

    public void shutdown()

### unregister

    public void unregister(int oid)

  Unregisters an object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD